## com.google.appengine.api.datastore
Class DataTypeTranslator.ComparableByteArray

    java.lang.Object
      com.google.appengine.api.datastore.DataTypeTranslator.ComparableByteArray

All Implemented Interfaces:
  java.lang.Comparable<DataTypeTranslator.ComparableByteArray>

Enclosing class:
  DataTypeTranslator

    public static final class DataTypeTranslator.ComparableByteArray

extends java.lang.Object
implements java.lang.Comparable<DataTypeTranslator.ComparableByteArray>

A wrapper for a `byte[]` that implements `Comparable`. Comparison algorithm is the same as the prod datastore.

Constructor Summary
`DataTypeTranslator.ComparableByteArray(byte[] bytes)`

Method Summary
`int` `compareTo(DataTypeTranslator.ComparableByteArray other)`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTypeTranslator.ComparableByteArray

    public DataTypeTranslator.ComparableByteArray(byte[] bytes)

Method Detail

### compareTo

    public int compareTo(DataTypeTranslator.ComparableByteArray other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<DataTypeTranslator.ComparableByteArray>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`